/***************************************************************************
                          statusbar.cpp  -  description
                             -------------------
    begin                : Sun Jul 16 2000
    copyright            : (C) 2000 by Joris Struyve
    email                : j.struyve@village.uunet.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/* CVS information :
 *
 * $Id: statusbar.cpp,v 1.4 2000/07/22 21:07:11 js Exp $
 *
 */

#include "k8ktest.h"

StatusBar::StatusBar( QWidget *parent,char *name )
        : QStatusBar( parent, name)
{
	/* create empty labels */
	statusstring = new QLabel(QString("Status "),this);
	blinker  = new QLabel(this,NULL);
	blinker->setBackgroundColor(QColor(0,255,0));
	blinker->setText("   ");
	timer = new QTimer( this );
	
	/* add the labels to the statusbar */
	this->addWidget(statusstring,1,FALSE);
	this->addWidget(blinker  ,0,TRUE);
	
	this->setSizeGripEnabled ( FALSE );
	
	connect( timer, SIGNAL(timeout()), SLOT(BlinkTimer()) );
}

StatusBar::~StatusBar()
{}

void StatusBar::SetStatusString(QString statusstring)
{
	this->statusstring->setText(statusstring);
	this->statusstring->repaint();
}
void StatusBar::Blink()
{
	this->blinker->setBackgroundColor(QColor(255,0,0));
	this->blinker->repaint();
	this->timer->start( 30, TRUE );
}

void StatusBar::BlinkTimer()
{
	this->blinker->setBackgroundColor(QColor(0,255,0));
	this->blinker->repaint();
}
